Subject: Belizian Cactus Species
From: [email-masked]
Date: Wed, 06 Jul 94 09:05:14 CDT
Newsgroups: bionet.plants

I am hoping to locate the botanical name for an arboreal/semi-arboreal cactus
known along the New River in Belize as the "Devil's-Gut-Cactus".  I have no
additional information to provide, but would appreciate any assistance in
determining what this species might be.

<O>------------------------------<O>---------------------------------<O>
 |   GARY L. WILLIAMS             |  E-MAIL:   DEMT002                |
 |   RESEARCH LIBRARIAN           |            @UABDPO.DPO.UAB.EDU    |
 |   TENNESSEE VALLEY AUTHORITY  <O>                                  |
 |   MUSCLE SHOALS, ALABAMA       |     TEL:   (205) 386-2042         |
 |   35660-1010  USA              |     FAX:   (205) 386-2453         |
<O>------------------------------<O>---------------------------------<O>